POST /v1/auth/me/sessions/revoke-others

POST /v1/auth/me/sessions/revoke-others — sign out every device except the one making this request. The current session is identified by hashing the caller's access cookie; if the caller is using an API key (no access cookie), the keep set is empty and ALL the user's sessions are revoked. Returns the count of revoked sessions.

Tags: auth

Responses

200

JSON
{
  "$ref": "#/components/schemas/RevokeOtherSessionsResponse"
}

401 — UNAUTHENTICATED

Code samples

TypeScript

TypeScript
import { firecase } from "@firecase/sdk";

const result = await firecase.post("/auth/me/sessions/revoke-others", { /* body */ });
console.log(result);

Python

Python
import firecase

result = firecase.post("/auth/me/sessions/revoke-others", json={})
print(result)

curl

Bash
curl -X POST https://api.firecase.ai/v1/auth/me/sessions/revoke-others \
  -H "Authorization: Bearer $FIRECASE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{}'